<?PHP

class life_time
{


	function __construct($db)
	{
		$this->db = $db;
	}


	private function GetTimeLife($name)
	{
		switch ($name) 
		{
			case 'a_t':
				return 60*60*24*120;
			break;

			case 'b_t':
				return 60*60*24*270;
			break;
			
			case 'c_t':
				return 60*60*24*360;
			break;

			case 'd_t':
				return 60*60*3;
			break;

			default:
				return 60*60*24;
			break;
		}
	}


	private function GetNameItem($name)
	{
		switch ($name) 
		{
			case 'a_t':
				return "<div style=' background-color: #FFFFFF; width: 80px; border-radius: 5px; color: #000000; '>START</div>";
			break;

			case 'b_t':
				return "<div style=' background-color: #D3D3D4; width: 80px; border-radius: 5px; color: #000000; '>SILVER</div>";
			break;

			case 'c_t':
				return "<div style=' background-color: #F0CE3B; width: 80px; border-radius: 5px; color: #000000; '>GOLD</div>";
			break;
			
			case 'd_t':
				return "";
			break;

			case 'e_t':
				return "";
			break;

			default:
				return $name;
			break;
		}
	}


	public function AddItem($user_id, $name, $time=0)
	{
		$db = $this->db;
		$now = time();
		if ($time==0) $del = $now + $this->GetTimeLife($name);
		else
			$del = $now + $time;
		$sql = "insert into `db_product_time` 
				(`id_user`, `name`, `date_add`, `date_del`, `status`)
				values
				($user_id, '$name', $now, $del, 1)";
		$db->Query($sql);
		return ($db->LastInsert()>0);
	}


	public function CheckTime()
	{
		$db = $this->db;
		$now = time();
		$sql = "select * from `db_product_time` where `status`=1 and `date_del`<=$now";
		$db->Query($sql);
		$arr = array();
		if ($db->NumRows()>0)
		{
			while($row = $db->FetchArray()) 
			{
				$arr[] = $row;
			}
		}
		if (count($arr)>0)
		{
			foreach ($arr as $row) 
			{
				$id = $row['id'];
				$par = $row['name'];
				$user = $row['id_user'];
				$sql = "update `db_users_b` set `$par`=`$par`-1 where `id`=$user";
				$db->Query($sql);
				$sql = "update `db_product_time` set  `status`=0 where `id`=$id";
				$db->Query($sql);
			}
		}
	}

	private function ConvertTime($val)
	{
		$time = (int)$val;
  $m = floor($time / 60);
  $h = floor($m / 60);
  $d = floor($h / 24);
  $h = $h - $d * 24;
  $m = $m - $h*60 - $d*24*60;
  $s = $time - $m*60 - $h*60*60 - $d*24*60*60;
    if($d != 0) return "$d ";
    
	}


	public function GetTable($user_id)
	{
		$style = "<style>.info_block{height: 100px;float: left; border: 1px solid #C5D1C3; box-shadow: #263652  0px 0px 10px 2px;margin: 1px 1px 1px 1px; color: #ffffff;width: 100px;background: #380000;border-radius: 5px;} .info_block div{padding: 5px;}</style>";
		$db = $this->db;
		echo $style;
		$sql = "select * from `db_product_time` where `status`=1 and `id_user`=$user_id";
		$db->Query($sql);
		while($row = $db->FetchArray()) 
		{
			$tim = (int)$row['date_del']-time();
			$tim = $this->ConvertTime($tim);
			echo "<div class='info_block' align='center'><img src='/img/server.png' width='70' height='45' style=' margin-top:2px;'/>";
				echo "<div>";
				echo $this->GetNameItem($row['name'])." ".$tim;
				echo "</div>";
			echo "</div>";
		}
	}
	
	public function GetGhs($user_id)
	{
		$style = "<style>.info_block{height: 100px;float: left; border: 1px solid #C5D1C3; box-shadow: #263652  0px 0px 10px 2px;margin: 1px 1px 1px 1px; color: #ffffff;width: 100px;background: #380000;border-radius: 5px;} .info_block div{padding: 5px;}</style>";
		$db = $this->db;
		echo $style;
		$sql = "select * from `db_product_time` where `status`=1";
		$db->Query($sql);
		while($row = $db->FetchArray()) 
		{
			
			$tim = (int)$row['date_del']-time();
			$tim = $this->ConvertTime($tim);
			echo "<div class='info_block' align='center'><img src='/img/server.png' width='70' height='45' style=' margin-top:2px;'/>";
				echo "<div>";
				echo $this->GetNameItem($row['name'])." ".$tim;
				echo "</div>";
			echo "</div>";
		}
	}

}